E-MailRelay

Public Member Functions | List of all members
GSsl::MbedTls::Config Class Reference

Holds protocol version information, etc. More...

`#include <gssl_mbedtls.h>`

## Public Member Functions
| Config (G::StringArray &config)
int | min_ () const noexcept
int | max_ () const noexcept
bool | noverify () const noexcept
bool | noisy () const noexcept
bool | psa () const noexcept

## Detailed Description

Holds protocol version information, etc.

Definition at line 188 of file gssl_mbedtls.h.

## Constructor & Destructor Documentation

## ◆ Config()

GSsl::MbedTls::Config::Config | ( | G::StringArray & | config | ) |
| explicit

Definition at line 172 of file gssl_mbedtls.cpp.

## Member Function Documentation

## ◆ max_()

int GSsl::MbedTls::Config::max_ | ( |  | ) | const
| noexcept

Definition at line 223 of file gssl_mbedtls.cpp.

## ◆ min_()

int GSsl::MbedTls::Config::min_ | ( |  | ) | const
| noexcept

Definition at line 218 of file gssl_mbedtls.cpp.

## ◆ noisy()

bool GSsl::MbedTls::Config::noisy | ( |  | ) | const
| noexcept

Definition at line 238 of file gssl_mbedtls.cpp.

## ◆ noverify()

bool GSsl::MbedTls::Config::noverify | ( |  | ) | const
| noexcept

Definition at line 228 of file gssl_mbedtls.cpp.

## ◆ psa()

bool GSsl::MbedTls::Config::psa | ( |  | ) | const
| noexcept

Definition at line 233 of file gssl_mbedtls.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.cpp